Zum Hauptinhalt springen
GET
/
customers
/
{customerId}
/
addresses
cURL
curl -X GET \
 /customers/{customerId}/addresses \
 --header "Authorization: Bearer <token>"
{
  "data": [
    {
      "id": "<string>",
      "vatId": "DE123456789",
      "type": "TYPE_DEFAULT",
      "default": "true",
      "status": "active",
      "city": "Berlin",
      "zip": "12345",
      "street": "Musterstraße",
      "houseNumber": "1a",
      "countryCode": "DE",
      "companyName": "ACME Inc.",
      "salutation": "Herr",
      "addition": "c/o John Doe",
      "costCentre": "123456789",
      "firstName": "John",
      "lastName": "Doe"
    }
  ],
  "meta": {
    "pagination": {
      "totalItems": 123,
      "itemsPerPage": 123,
      "currentPage": 123,
      "lastPage": 123,
      "pageTotalItems": 123
    }
  }
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

customerId
string
erforderlich

CustomerAddress identifier

Abfrageparameter

page
integer
Standard:1

The collection page number

limit
integer
Standard:30

The number of items per page

Erforderlicher Bereich: 0 <= x <= 100
type
string
type[]
string[]
status
string
status[]
string[]
default
boolean

Antwort

CustomerAddress collection

data
object[]
meta
object